%define major		0
%define libname		%mklibname quotient %{major}
%define develname	%mklibname quotient -d

%bcond_with e2ee

Name:		libquotient
Version:	0.6.4
Release:	%mkrel 1
Summary:	Qt5 library to write cross-platform clients for Matrix
Group:		System/Libraries
License:	LGPLv2+
URL:		https://github.com/quotient-im/libQuotient
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Multimedia)
BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Test)

BuildRequires:	ninja-build
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	gcc

%if %{with e2ee}
BuildRequires:	cmake(Olm)
BuildRequires:	cmake(QtOlm)
%endif

%description
The Quotient project aims to produce a Qt5-based SDK to develop applications
for Matrix. libQuotient is a library that enables client applications. It is
the backbone of Quaternion, Spectral and other projects. Versions 0.5.x and
older use the previous name - libQMatrixClient.

#------------------------------------------------

%package -n	%{libname}
Summary:	Qt5 library to write cross-platform clients for Matrix
Group:		System/Libraries

%description -n	%{libname}
The Quotient project aims to produce a Qt5-based SDK to develop applications
for Matrix. libQuotient is a library that enables client applications. It is
the backbone of Quaternion, Spectral and other projects. Versions 0.5.x and
older use the previous name - libQMatrixClient.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	quotient-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -n libQuotient-%{version}

rm -rf 3rdparty

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
%if %{with e2ee}
    -DQuotient_ENABLE_E2EE:BOOL=ON \
%else
    -DQuotient_ENABLE_E2EE:BOOL=OFF \
%endif
    -DQuotient_INSTALL_TESTS:BOOL=OFF \
    -DQuotient_INSTALL_EXAMPLE:BOOL=OFF
%cmake_build

%check
%ctest

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/ndk-modules

%files -n %{libname}
%license COPYING
%doc README.md CONTRIBUTING.md SECURITY.md
%{_libdir}/libQuotient.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/Quotient/
%{_libdir}/cmake/Quotient/
%{_libdir}/pkgconfig/Quotient.pc
%{_libdir}/libQuotient.so


%changelog
* Tue Jan 26 2021 daviddavid <daviddavid> 0.6.4-1.mga8
+ Revision: 1673514
- new version: 0.6.4

* Thu Jan 14 2021 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1671724
- initial package libquotient (needed for neochat)

